From 2be1f54c990f7f1aad8e98c6856d4d374c4eb3ac Mon Sep 17 00:00:00 2001
From: Srikanth Raju <srikiraju@gmail.com>
Date: Thu, 26 Nov 2009 08:21:45 +0530
Subject: [PATCH 1/2] Sql: Rollback should return void

---
 include/vlc_sql.h |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/include/vlc_sql.h b/include/vlc_sql.h
index 3b123a9..ad325f5 100644
--- a/include/vlc_sql.h
+++ b/include/vlc_sql.h
@@ -110,7 +110,7 @@ struct sql_t
     int (*pf_commit) ( sql_t* );
 
     /** Rollback transaction */
-    int (*pf_rollback) ( sql_t* );
+    void (*pf_rollback) ( sql_t* );
 
     /** Create a statement object */
     sql_stmt_t* (*pf_prepare) ( sql_t* p_sql, const char* p_fmt,
@@ -295,7 +295,7 @@ static inline int sql_CommitTransaction( sql_t *p_sql )
  * @return VLC error code or success
  * @note This function is threadsafe
  **/
-static inline int sql_RollbackTransaction( sql_t *p_sql )
+static inline void sql_RollbackTransaction( sql_t *p_sql )
 {
     return p_sql->pf_rollback( p_sql );
 }
-- 
1.6.3.3

